### Constructor

# Gtk.TextBuffer.new

#### Declaration [src]

    GtkTextBuffer*
    gtk_text_buffer_new (
      GtkTextTagTable* table
    )

#### Description [src]

Creates a new text buffer.

#### Parameters

`table` | `GtkTextTagTable`
| a tag table, or `NULL` to create a new one
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkTextBuffer`
a new text buffer
Ownership of the data is transferred to the caller